
ArrayList<Kugel> kugeln;

int hindernis_x = 500;
int hindernis_y = 250;
int hindernis_rad = 60;

float friction = 0.998;
float ballGeschw = 15;

ArrayList<PVector> bahn;

void setup() {
  size(1000, 500, P3D);
  kugeln = new ArrayList<Kugel>();
  kugeln.add(new Kugel(new PVector(70, height/2), 30, new PVector(0, 0), color(255)));
  bahn = new ArrayList<PVector>();
  bahn.add(new PVector(kugeln.get(0).getPos().x,kugeln.get(0).getPos().y));
}

void mouseClicked() {
  if (mouseButton == LEFT) {  
    kugeln.get(0).setPos(new PVector(mouseX, mouseY));
    kugeln.get(0).setGeschw(new PVector(0, 0));
  } else { 
    PVector geschw = new PVector(mouseX-kugeln.get(0).getPos().x, mouseY-kugeln.get(0).getPos().y); 
    geschw.normalize();
    geschw.mult(ballGeschw);
    kugeln.get(0).setGeschw(geschw);
  }
}

void draw() {  
  background(0, 120, 0);

  stroke(255);
  strokeWeight(2);
  noFill();
  beginShape();
  for (PVector p : bahn) vertex(p.x,p.y);
  endShape();

  fill(255);
  stroke(0);
  ellipse(hindernis_x, hindernis_y, 2*hindernis_rad, 2*hindernis_rad);

  for (Kugel b : kugeln) {
    b.aktualiseren();
    bahn.add(new PVector(b.getPos().x,b.getPos().y));
    b.display();
    b.pruefeKollisionRand();
    b.pruefeKollisionZylinder();
  }
}

void keyPressed() { save("test.png"); }